Bug 729653 - Review Request: perl-Pod-Wordlist-hanekomu - Add words for spell checking POD
Summary: Review Request: perl-Pod-Wordlist-hanekomu - Add words for spell checking POD
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 672543
Blocks: perl-Test-Version
TreeView+ depends on / blocked
 
Reported: 2011-08-10 13:26 UTC by Paul Howarth
Modified: 2011-09-15 08:16 UTC (History)
3 users (show)

Fixed In Version: perl-Pod-Wordlist-hanekomu-1.110090-3.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-15 08:16:04 UTC
iarnell: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2011-08-10 13:26:53 UTC
Spec URL:
http://subversion.city-fan.org/repos/cfo-repo/perl-Pod-Wordlist-hanekomu/branches/fedora/perl-Pod-Wordlist-hanekomu.spec
SRPM URL:
http://www.city-fan.org/~paul/extras/perl-Pod-Wordlist-hanekomu/perl-Pod-Wordlist-hanekomu-1.110090-3.fc17.src.rpm
perl-Pod-Wordlist-hanekomu
Description:
This module, when loaded, adds stopwords for POD spell checking, that is,
words that should be ignored by the spell check.


Some of the dependencies for this package (Test::HasVersion, Test::Vars, Module::Manifest) are currently working their way through QA but are present as buildroot overrides in koji already.

I'm still waiting on perl-Test-DistManifest to be branched and built for older releases (Bug #672543).

Comment 1 Iain Arnell 2011-08-12 05:53:58 UTC
Another nicely document spec with no issues. APPROVED.

Spec looks sane, clean and consistent; license is correct (GPL+ or Artistic);
make test passes cleanly.

Builds locally in mock rawhide.

Source tarballs match upstream (sha1sum):
0b3fa2a2ef5b44b14d4cf4c8881c656e283ebc77  Pod-Wordlist-hanekomu-1.110090.tar.gz
0b3fa2a2ef5b44b14d4cf4c8881c656e283ebc77  Pod-Wordlist-hanekomu-1.110090.tar.gz.srpm

Final provides / requires are sane:

======> perl-Pod-Wordlist-hanekomu-1.110090-3.fc17.noarch.rpm <======
====> rpmlint
perl-Pod-Wordlist-hanekomu.noarch: W: spelling-error %description -l en_US stopwords -> stop words, stop-words, Stoppard
perl-Pod-Wordlist-hanekomu.noarch: E: incorrect-fsf-address /usr/share/doc/perl-Pod-Wordlist-hanekomu-1.110090/LICENSE
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
====> provides
perl(Pod::Wordlist::hanekomu) = 1.110090
perl-Pod-Wordlist-hanekomu = 1.110090-3.fc17
====> requires
perl >= 0:5.008
perl(:MODULE_COMPAT_5.14.1)  
perl(Test::Spelling)  
perl(strict)  
perl(utf8)  
perl(warnings)  
====> obsoletes
====> conflicts

======> perl-Pod-Wordlist-hanekomu-1.110090-3.fc17.src.rpm <======
====> rpmlint
perl-Pod-Wordlist-hanekomu.src: W: spelling-error %description -l en_US stopwords -> stop words, stop-words, Stoppard
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
====> provides
====> requires
aspell-en  
perl(Carp)  
perl(English)  
perl(ExtUtils::MakeMaker)  
perl(File::Find)  
perl(File::Temp)  
perl(Scalar::Util)  
perl(Test::More)  
perl(Test::Spelling)  
perl(utf8)  
perl(Pod::Coverage::TrustPod)  
perl(Test::HasVersion)  
perl(Test::CheckChanges)  
perl(Test::CPAN::Meta)  
perl(Test::DistManifest)  
perl(Test::EOL)  
perl(Test::NoTabs)  
perl(Test::Pod::Coverage)  
perl(Test::Pod)  
perl(Test::Portability::Files)  
perl(Test::Perl::Critic)  
perl(Test::Synopsis)  
perl(Test::Kwalitee)  
perl(Test::MinimumVersion)  
perl(Test::Vars)  
====> obsoletes
====> conflicts

====> mock install
INFO: mock.py version 1.1.12 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
Mock Version: 1.1.12
INFO: Mock Version: 1.1.12
State Changed: lock buildroot
INFO: installing package(s): ./perl-Pod-Wordlist-hanekomu-1.110090-3.fc17.noarch.rpm
INFO: Ignored option -c (probably due to merging -yc != -y -c)

================================================================================
 Package                    Arch   Version           Repository            Size
================================================================================
Installing:
 perl-Pod-Wordlist-hanekomu noarch 1.110090-3.fc17   /perl-Pod-Wordlist-hanekomu-1.110090-3.fc17.noarch
                                                                           26 k
Installing for dependencies:
 hunspell                   x86_64 1.3.2-1.fc16      fedora               209 k
 perl-CPAN                  noarch 1.9600-185.fc17   fedora               259 k
 perl-Digest-SHA            x86_64 1:5.61-185.fc17   fedora                67 k
 perl-ExtUtils-MakeMaker    noarch 6.57.5-185.fc17   fedora               303 k
 perl-ExtUtils-ParseXS      noarch 1:2.2210-185.fc17 fedora                52 k
 perl-HTTP-Tiny             noarch 0.012-185.fc17    fedora                40 k
 perl-Pod-Spell             noarch 1.01-11.fc16      fedora                24 k
 perl-Test-Harness          noarch 3.23-185.fc17     fedora               287 k
 perl-Test-Simple           noarch 0.98-185.fc17     fedora               118 k
 perl-Test-Spelling         noarch 0.14-2.fc16       fedora                17 k
 perl-devel                 x86_64 4:5.14.1-185.fc17 fedora               450 k
 python                     x86_64 2.7.2-4.fc16      fedora                74 k
 systemtap-sdt-devel        x86_64 1.6-1.fc16        fedora                46 k

Transaction Summary
================================================================================
Install      14 Package(s)

Total size: 1.9 M
Installed size: 4.8 M

Installed:
  perl-Pod-Wordlist-hanekomu.noarch 0:1.110090-3.fc17                           

Dependency Installed:
  hunspell.x86_64 0:1.3.2-1.fc16                                                
  perl-CPAN.noarch 0:1.9600-185.fc17                                            
  perl-Digest-SHA.x86_64 1:5.61-185.fc17                                        
  perl-ExtUtils-MakeMaker.noarch 0:6.57.5-185.fc17                              
  perl-ExtUtils-ParseXS.noarch 1:2.2210-185.fc17                                
  perl-HTTP-Tiny.noarch 0:0.012-185.fc17                                        
  perl-Pod-Spell.noarch 0:1.01-11.fc16                                          
  perl-Test-Harness.noarch 0:3.23-185.fc17                                      
  perl-Test-Simple.noarch 0:0.98-185.fc17                                       
  perl-Test-Spelling.noarch 0:0.14-2.fc16                                       
  perl-devel.x86_64 4:5.14.1-185.fc17                                           
  python.x86_64 0:2.7.2-4.fc16                                                  
  systemtap-sdt-devel.x86_64 0:1.6-1.fc16                                       


State Changed: unlock buildroot
State Changed: end

Comment 2 Paul Howarth 2011-08-12 09:13:51 UTC
New Package SCM Request
=======================
Package Name: perl-Pod-Wordlist-hanekomu
Short Description: Add words for spell checking POD
Owners: pghmcfc
Branches: EL-4 EL-5 EL-6 F-14 F-15 F-16
InitialCC: perl-sig

Thanks for the review Iain.

Comment 3 Gwyn Ciesla 2011-08-12 12:39:28 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-08-12 14:51:29 UTC
perl-Pod-Wordlist-hanekomu-1.110090-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Pod-Wordlist-hanekomu-1.110090-3.fc16

Comment 5 Paul Howarth 2011-08-12 19:19:43 UTC
Rawhide and F-16 builds done. Others are waiting on perl-Test-DistManifest, which I can't do buildroot overrides for (Bug #672543).

Comment 6 Fedora Update System 2011-08-20 07:58:53 UTC
perl-Pod-Wordlist-hanekomu-1.110090-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-Pod-Wordlist-hanekomu-1.110090-3.fc14

Comment 7 Fedora Update System 2011-08-20 07:59:01 UTC
perl-Pod-Wordlist-hanekomu-1.110090-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/perl-Pod-Wordlist-hanekomu-1.110090-3.fc15

Comment 8 Fedora Update System 2011-08-23 20:31:10 UTC
perl-Pod-Wordlist-hanekomu-1.110090-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 9 Fedora Update System 2011-08-26 22:33:12 UTC
perl-Pod-Wordlist-hanekomu-1.110090-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Pod-Wordlist-hanekomu-1.110090-3.el5

Comment 10 Fedora Update System 2011-08-26 22:33:20 UTC
perl-Pod-Wordlist-hanekomu-1.110090-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Pod-Wordlist-hanekomu-1.110090-3.el6

Comment 11 Fedora Update System 2011-08-26 22:33:29 UTC
perl-Pod-Wordlist-hanekomu-1.110090-3.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/perl-Pod-Wordlist-hanekomu-1.110090-3.el4

Comment 12 Fedora Update System 2011-09-07 00:02:38 UTC
perl-Pod-Wordlist-hanekomu-1.110090-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-09-07 00:11:19 UTC
perl-Pod-Wordlist-hanekomu-1.110090-3.fc14 has been pushed to the Fedora 14 stable repository.

Comment 14 Fedora Update System 2011-09-14 00:26:47 UTC
perl-Pod-Wordlist-hanekomu-1.110090-3.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 15 Fedora Update System 2011-09-14 00:28:16 UTC
perl-Pod-Wordlist-hanekomu-1.110090-3.el4 has been pushed to the Fedora EPEL 4 stable repository.

Comment 16 Fedora Update System 2011-09-14 00:29:19 UTC
perl-Pod-Wordlist-hanekomu-1.110090-3.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.